# User

## Benchmarking

```{eval-rst}
.. module:: nichecompass.benchmarking
.. currentmodule:: nichecompass

.. autosummary::
    :toctree: generated

    benchmarking.compute_benchmarking_metrics
    benchmarking.compute_cas
    benchmarking.compute_clisis
    benchmarking.compute_gcs
    benchmarking.compute_mlami
    benchmarking.compute_nasw
```

## Data
```{eval-rst}
.. module:: nichecompass.data
.. currentmodule:: nichecompass

.. autosummary::
    :toctree: generated

    data.load_spatial_adata_from_csv
```

## Models

```{eval-rst}
.. module:: nichecompass.models
.. currentmodule:: nichecompass

.. autosummary::
    :toctree: generated

    models.NicheCompass
```

## Gene Program Utilities

```{eval-rst}
.. module:: nichecompass.utils
.. currentmodule:: nichecompass

.. autosummary::
    :toctree: generated

    utils.add_gps_from_gp_dict_to_adata
    utils.add_multimodal_mask_to_adata
    utils.extract_gp_dict_from_collectri_tf_network
    utils.extract_gp_dict_from_nichenet_lrt_interactions
    utils.extract_gp_dict_from_mebocost_es_interactions
    utils.extract_gp_dict_from_omnipath_lr_interactions
    utils.filter_and_combine_gp_dict_gps
    utils.get_gene_annotations
    utils.generate_multimodal_mapping_dict
    utils.get_unique_genes_from_gp_dict
    utils.generate_enriched_gp_info_plots
```

## Cell-Cell Communication Utilities

```{eval-rst}
.. module:: nichecompass.utils
.. currentmodule:: nichecompass

.. autosummary::
    :toctree: generated

    utils.compute_communication_gp_network
    utils.visualize_communication_gp_network
```

## Other Utilities
```{eval-rst}
.. module:: nichecompass.utils
.. currentmodule:: nichecompass

.. autosummary::
    :toctree: generated

    utils.create_new_color_dict
```
